#
#   Risposta in frequenza del filtro digitale costruito.
#   Copyright (C) 2010 2011 2014  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set term png size 320,240 x000000 xffffff



load "zeri_poli.gnu"



set grid x y
set xzeroaxis lw 2

set key off

set samples 300

set xrange[0.0:0.5]
set yrange[-60:20]

set xtics 0.05
set ytics 10

set xlabel "Normalized freq."
set ylabel "Gain [dB]"
set title "Digital filter gain"

plot	dB(Pid_1(z(x))) lw 2

