#
#   Disposizione dei poli e degli zeri nel piano complesso.
#   Copyright (C) 2017  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


# Funzioni
dB(a)=20.0*log10(a)
Rad(ang)=2.0*pi*ang/360.0
Disc(r,ang)=r*(cos(Rad(ang))+{0.0,1.0}*sin(Rad(ang)))
Dist(z,i)=abs(z-i)
z(fn)=exp({0.0,1.0}*fn*2.0*pi)


# Zeri
q1=Disc(0.8, 0.0)
q2=Disc(0.5, 0.0)
q3=Disc(0.1, 0.0)

# Poli
p1=Disc(1.0, 0.0)



Pid_1(z)=  Dist(z,q1) / Dist(z,p1)
Pid_2(z)=  Dist(z,q2) / Dist(z,p1)
Pid_3(z)=  Dist(z,q3) / Dist(z,p1)


